require 'spec_helper'
require 'faker'
Faker::Config.locale = 'en-US'

RSpec.describe LimeLightPlatform, "#authorize_payment" do
  context "Lime Light Platform - Transact API - authorize_payment" do
    it "Performs a preauthorization request" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.authorize_payment({
        'billing_first_name' => Faker::Name.first_name,
        'billing_last_name' => Faker::Name.last_name,
        'billing_address_1' => Faker::Address.street_address,
        'billing_address_2' => Faker::Address.secondary_address,
        'billing_city' => Faker::Address.city,
        'billing_state' => Faker::Address.state_abbr,
        'billing_zip' => Faker::Address.postcode,
        'billing_country' => ENV['TEST_AUTHORIZE_PAYMENT_BILLING_COUNTRY'],
        'phone' => Faker::PhoneNumber.phone_number,
        'email' => Faker::Internet.email,
        'credit_card_type' => ENV['TEST_AUTHORIZE_PAYMENT_CREDIT_CARD_TYPE'],
        'credit_card_number' => ENV['TEST_AUTHORIZE_PAYMENT_CREDIT_CARD_NUMBER'],
        'expiration_date' => ENV['TEST_AUTHORIZE_PAYMENT_EXPIRATION_DATE'],
        'cvv' => ENV['TEST_AUTHORIZE_PAYMENT_CVV'],
        'ip_address' => ENV['TEST_AUTHORIZE_PAYMENT_IP_ADDRESS'],
        'product_id' => ENV['TEST_AUTHORIZE_PAYMENT_PRODUCT_ID'],
        'campaign_id' => ENV['TEST_AUTHORIZE_PAYMENT_CAMPAIGN_ID'],
        'auth_amount' => ENV['TEST_AUTHORIZE_PAYMENT_AUTH_AMOUNT'],
        'cascade_enabled' => ENV['TEST_AUTHORIZE_PAYMENT_CASCADE_ENABLED'],
        'save_customer' => ENV['TEST_AUTHORIZE_PAYMENT_SAVE_CUSTOMER'],
        'validate_only_flag' => ENV['TEST_AUTHORIZE_PAYMENT_VALIDATE_ONLY_FLAG'],
        'void_flag' => ENV['TEST_AUTHORIZE_PAYMENT_VOID_FLAG']
      })
      expect(response[:success]).to eq true
    end
  end
end