require 'spec_helper'

RSpec.describe LimeLightPlatform, "#coupon_validate " do
  context "Lime Light Platform - Membership API - coupon_validate " do
    it "Validates a coupon promo code" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      products = [
        {
          'product_id' => ENV['TEST_GET_ALTERNATIVE_PROVIDER_PRODUCT_ID_1'],
          'quantity' => ENV['TEST_GET_ALTERNATIVE_PROVIDER_PRODUCT_QUANTITY_1']
        }
      ]
      response = lime_light.coupon_validate({
        'campaign_id' => ENV['TEST_COUPON_VALIDATE_CAMPAIGN_ID'],
        'shipping_id' => ENV['TEST_COUPON_VALIDATE_SHIPPING_ID'],
        'promo_code' => ENV['TEST_COUPON_VALIDATE_PROMO_CODE'],
        'email' => ENV['TEST_COUPON_VALIDATE_EMAIL'],
        'products' => [products.sample]
      })
      expect(response[:success]).to eq true
    end
  end
end