require 'spec_helper'

RSpec.describe LimeLightPlatform, "#get_alternative_provider" do
  context "Lime Light Platform - Membership API - get_alternative_provider" do
    it "Fetches alternative provider API information" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      products = [
        {
          'product_id' => ENV['TEST_GET_ALTERNATIVE_PROVIDER_PRODUCT_ID_1'],
          'quantity' => ENV['TEST_GET_ALTERNATIVE_PROVIDER_PRODUCT_QUANTITY_1']
        }
      ]
      response = lime_light.get_alternative_provider({
        'campaign_id' => ENV['TEST_GET_ALTERNATIVE_PROVIDER_CAMPAIGN_ID'],
        'alt_pay_type' => ENV['TEST_GET_ALTERNATIVE_PROVIDER_ALT_PAY_TYPE'],
        'return_url' => ENV['TEST_GET_ALTERNATIVE_PROVIDER_RETURN_URL'],
        'cancel_url' => ENV['TEST_GET_ALTERNATIVE_PROVIDER_CANCEL_URL'],
        'amount' => ENV['TEST_GET_ALTERNATIVE_PROVIDER_AMOUNT'],
        'shipping_id' => ENV['TEST_GET_ALTERNATIVE_PROVIDER_SHIPPING_ID'],
        'bill_country' => ENV['TEST_GET_ALTERNATIVE_PROVIDER_BILL_COUNTRY'],
        'products' => products.sample
      })
      expect(response[:success]).to eq true
    end
  end
end