require 'spec_helper'
require 'faker'
Faker::Config.locale = 'en-US'

RSpec.describe LimeLightPlatform, "#NewOrderCardOnFile" do
  context "Lime Light Platform - Transact API - NewOrderCardOnFile" do
    it "Creates and processes a new order based upon an existing order" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.new_order_card_on_file({
        'previous_order_id' => ENV['TEST_NEW_ORDER_CARD_ON_FILE_PREVIOUS_ORDER_ID'],
        # 'cvv' => ENV['TEST_CVV'],
        'products' => {
          ENV['TEST_PRODUCT_1'] => {
            'offer_id' => ENV['TEST_OFFER_ID_1'],
            'billing_model_id' => ENV['TEST_BILLING_MODEL_ID_1'],
            'quantity' => ENV['TEST_QUANTITY_1']
          },
          ENV['TEST_PRODUCT_2'] => {
            'offer_id' => ENV['TEST_OFFER_ID_2'],
            'billing_model_id' => ENV['TEST_BILLING_MODEL_ID_2'],
            'quantity' => ENV['TEST_QUANTITY_2']
          }
        },
        'shipping_id' => ENV['TEST_SHIPPINGID'],
        'campaign_id' => ENV['TEST_CAMPAIGNID'],
        'notes' => Faker::FamilyGuy.quote,
        'utm_source' => Faker::FamilyGuy.quote,
        'utm_medium' => Faker::FamilyGuy.quote,
        'utm_campaign' => Faker::FamilyGuy.quote,
        'utm_content' => Faker::FamilyGuy.quote,
        'utm_term' => Faker::FamilyGuy.quote
      })
      expect(response[:success]).to eq true
    end
  end
end