require 'spec_helper'
require 'faker'
Faker::Config.locale = 'en-US'

RSpec.describe LimeLightPlatform, "#NewOrderWithProspect" do
  context "Lime Light Platform - Transact API - NewOrderWithProspect" do
    it "Creates and processes a new order based upon an existing prospect record" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.new_order_with_prospect({
        'prospect_id' => ENV['TEST_NEW_ORDER_WITH_PROSPECT_PROSPECT_ID'],
        'shipping_country' => ENV['TEST_SHIPPINGCOUNTRY'],
        'billing_first_name' => Faker::Name.first_name,
        'billing_last_name' => Faker::Name.last_name,
        'billing_address_1' => Faker::Address.street_address,
        'billing_address_2' => Faker::Address.secondary_address,
        'billing_city' => Faker::Address.city,
        'billing_state' => Faker::Address.state_abbr,
        'billing_zip' => Faker::Address.postcode,
        'billing_country' => ENV['TEST_BILLINGCOUNTRY'],
        'phone' => Faker::PhoneNumber.phone_number,
        'email' => Faker::Internet.email,
        'credit_card_type' => ENV['TEST_CREDITCARDTYPE'],
        'credit_card_number' => ENV['TEST_CREDITCARDNUMBER'],
        'expiration_date' => ENV['TEST_EXPIRATIONDATE'],
        'cvv' => ENV['TEST_CVV'],
        'shipping_id' => ENV['TEST_SHIPPINGID'],
        'tran_type' => ENV['TEST_TRANTYPE'],
        'ip_address' => ENV['TEST_IPADDRESS'],
        'campaign_id' => ENV['TEST_CAMPAIGNID'],
        'notes' => Faker::FamilyGuy.quote,
        'utm_source' => Faker::FamilyGuy.quote,
        'utm_medium' => Faker::FamilyGuy.quote,
        'utm_campaign' => Faker::FamilyGuy.quote,
        'utm_content' => Faker::FamilyGuy.quote,
        'utm_term' => Faker::FamilyGuy.quote,
        'products' => {
          ENV['TEST_PRODUCT_1'] => {
            'offer_id' => ENV['TEST_OFFER_ID_1'],
            'billing_model_id' => ENV['TEST_BILLING_MODEL_ID_1'],
            'quantity' => ENV['TEST_QUANTITY_1']
          },
          ENV['TEST_PRODUCT_2'] => {
            'offer_id' => ENV['TEST_OFFER_ID_2'],
            'billing_model_id' => ENV['TEST_BILLING_MODEL_ID_2'],
            'quantity' => ENV['TEST_QUANTITY_2']
          }
        }
      })
      expect(response[:success]).to eq true
    end
  end
end