require 'spec_helper'
require 'faker'
Faker::Config.locale = 'en-US'

RSpec.describe LimeLightPlatform, "#NewProspect" do
  context "Lime Light Platform - Transact API - NewProspect" do
    it "Creates a prospect record" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.new_prospect({
        'campaign_id' => ENV['TEST_NEW_PROSPECT_CAMPAIGN_ID'],
        'ip_address' => ENV['TEST_NEW_PROSPECT_IP_ADDRESS'],
        'email' => Faker::Internet.email,
        'first_name' => Faker::Name.first_name,
        'last_name' => Faker::Name.last_name,
        'address_1' => Faker::Address.street_address,
        'address_2' => Faker::Address.secondary_address,
        'city' => Faker::Address.city,
        'state' => Faker::Address.state_abbr,
        'zip' => Faker::Address.postcode,
        'country' => ENV['TEST_SHIPPINGCOUNTRY'],
        'phone' => Faker::PhoneNumber.phone_number,
        'afid' => Faker::Pokemon.name,
        'afid' => Faker::Pokemon.name,
        'affid' => Faker::Pokemon.name,
        'c1' => Faker::Pokemon.name,
        'c2' => Faker::Pokemon.name,
        'c3' => Faker::Pokemon.name,
        'aid' => Faker::Pokemon.name,
        'opt' => Faker::Pokemon.name,
        'click_id' => Faker::PhoneNumber.phone_number,
        'notes' => Faker::FamilyGuy.quote,
      })
      expect(response[:success]).to eq true
    end
  end
end