require 'spec_helper'

RSpec.describe LimeLightPlatform, "#order_find_updated" do
  context "Lime Light Platform - Membership API - order_find_updated" do
    it "Finds orders with updated statuses" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      group_key_options = [
        [
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_BILLING_INFO'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_BLACKLIST'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_CHARGEBACK'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_CONFIRMATION'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_CREDIT_CARD_INFO']
        ],
        [
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_EMAIL'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_FAILURES'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_FORCE_REBILL'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_FRAUD'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_NAME'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_NEXT_REBILL_PRODUCT']
        ],
        [
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_NOTES'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_OFFLINE_PAYMENT'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_PHONE'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_REBILL_DISCOUNT'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_RECURRING_DATE'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_RECURRING_SCHEDULING'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_RECURRING_STATUS']
        ],
        [
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_REFUND'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_REPROCESS'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_RESTORED'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_RETURN'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_RMA'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_SHIPPING_INFO']
        ],
        [
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_SHIPPING_METHOD'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_SHIPPING_STATUS'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_TRACKING_NUMBER'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_VOID'],
          ENV['TEST_ORDER_FIND_UPDATED_GROUP_KEY_FULFILLMENT_POST']
        ]
      ]
      response = lime_light.order_find_updated({
        'campaign_id' => ENV['TEST_ORDER_FIND_UPDATED_CAMPAIGN_ID'],
        'start_date' => ENV['TEST_ORDER_FIND_UPDATED_START_DATE'],
        'end_date' => ENV['TEST_ORDER_FIND_UPDATED_END_DATE'],
        'start_time' => ENV['TEST_ORDER_FIND_UPDATED_START_TIME'],
        'end_time' => ENV['TEST_ORDER_FIND_UPDATED_END_TIME'],
        'group_keys' => group_key_options.sample
      })
      expect(response[:success]).to eq true
    end
  end
end