require 'spec_helper'
require 'faker'

RSpec.describe LimeLightPlatform, "#product_create" do
  context "Lime Light Platform - Membership API - product_create" do
    it "Creates a Lime Light Product" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.product_create({
        'customer_purchase_limit' => ENV['TEST_CUSTOMER_PURCHASE_LIMIT'],
        'taxable' => ENV['TEST_TAXABLE'],
        'shippable' => ENV['TEST_SHIPPABLE'],
        'signature_confirmation' => ENV['TEST_SIGNATURE_CONFIRMATION'],
        'delivery_confirmation' => ENV['TEST_DELIVERY_CONFIRMATION'],
        'preserve_quantity' => ENV['TEST_PRESERVE_QUANTITY'],
        'collections' => ENV['TEST_COLLECTIONS'],
        'shipping_declared_value' => ENV['TEST_SHIPPING_DECLARED_VALUE'],
        'product_price' => ENV['TEST_PRODUCT_PRICE'],
        'product_restocking_fee' => ENV['TEST_PRODUCT_RESTOCKING_FEE'],
        'shipping_weight' => ENV['TEST_SHIPPING_WEIGHT'],
        'product_sku' => ENV['TEST_PRODUCT_SKU'] + Random.new.rand(10...1000).to_s,
        'shipping_digital_url' => ENV['TEST_SHIPPING_DIGITAL_URL'],
        'recurring_discount_max' => ENV['TEST_RECURRING_DISCOUNT_MAX'],
        'product_name' => Faker::Pokemon.name,
        'product_description' => Faker::RickAndMorty.quote,
        'category_id' => ENV['TEST_CATEGORY_ID'],
        'vertical_id' => ENV['TEST_VERTICAL_ID'],
        'cost_of_goods_sold' => ENV['TEST_COST_OF_GOODS_SOLD'],
        'product_max_quantity' => ENV['TEST_PRODUCT_MAX_QUANTITY']
      })
      expect(response[:success]).to eq true
    end
  end
end