require 'spec_helper'

RSpec.describe LimeLightPlatform, "#prospect_find" do
  context "Lime Light Platform - Membership API - prospect_find" do
    it "Searches for a prospect" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      possible_criteria = [
        {
          'first_name' => ENV['TEST_PROSPECT_FIND_CRITERIA_FIRST_NAME'],
          'last_name' => ENV['TEST_PROSPECT_FIND_CRITERIA_LAST_NAME']
        },
        {
          'address' => ENV['TEST_PROSPECT_FIND_CRITERIA_ADDRESS'],
          'city' => ENV['TEST_PROSPECT_FIND_CRITERIA_CITY']
        },
        { 'state' => ENV['TEST_PROSPECT_FIND_CRITERIA_STATE'] },
        { 'zip' => ENV['TEST_PROSPECT_FIND_CRITERIA_ZIP'] },
        { 'country' => ENV['TEST_PROSPECT_FIND_CRITERIA_COUNTRY'] },
        { 'phone' => ENV['TEST_PROSPECT_FIND_CRITERIA_PHONE'] },
        { 'email' => ENV['TEST_PROSPECT_FIND_CRITERIA_EMAIL'] },
        { 'ip_address' => ENV['TEST_PROSPECT_FIND_CRITERIA_IP_ADDRESS'] }
      ]
      response = lime_light.prospect_find({
        'campaign_id' => ENV['TEST_PROSPECT_FIND_CAMPAIGN_ID'],
        'start_date' => ENV['TEST_PROSPECT_FIND_START_DATE'],
        'end_date' => ENV['TEST_PROSPECT_FIND_END_DATE'],
        'start_time' => ENV['TEST_PROSPECT_FIND_START_TIME'],
        'end_time' => ENV['TEST_PROSPECT_FIND_END_TIME'],
        'search_type' => ENV['TEST_PROSPECT_FIND_SEARCH_TYPE'],
        'criteria' => possible_criteria.sample
      })
      expect(response[:success]).to eq true
    end
  end
end