require 'spec_helper'
require 'faker'

RSpec.describe LimeLightPlatform, "#prospect_update" do
  context "Lime Light Platform - Membership API - prospect_update" do
    it "Updates a prospect" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      options = [
        {
          'notes' => Faker::RickAndMorty.quote,
          'first_name' => Faker::Name.first_name,
          'last_name' => Faker::Name.last_name,
          'email' => Faker::Internet.email,
          'phone' => Faker::PhoneNumber.phone_number
        },
        {
          'address' => Faker::Address.street_address,
          'address2' => Faker::Address.secondary_address,
          'city' => Faker::Address.city
        },
        {
          'zip' => Faker::Address.postcode,
          'state' => Faker::Address.state_abbr,
          'country' => Faker::Address.country_code
        }
      ]
      response = lime_light.prospect_update({
        'prospect_id' => {
          ENV['TEST_PROSPECT_UPDATE_PROSPECT_ID_1'] => options.sample,
          ENV['TEST_PROSPECT_UPDATE_PROSPECT_ID_2'] => options.sample,
          ENV['TEST_PROSPECT_UPDATE_PROSPECT_ID_3'] => options.sample
        }
      })
      expect(response[:success]).to eq true
    end
  end
end