require 'spec_helper'

RSpec.describe LimeLightPlatform, "#shipping_method_find" do
  context "Lime Light Platform - Membership API - shipping_method_find" do
    it "Searches for a shipping method based upon criteria" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      criteria = [
        { 'code' => ENV['TEST_SHIPPING_METHOD_FIND_CRITERIA_CODE'] },
        {
          'code' => ENV['TEST_SHIPPING_METHOD_FIND_CRITERIA_CODE'],
          'name' => ENV['TEST_SHIPPING_METHOD_FIND_CRITERIA_NAME']
        },
        { 'group' => ENV['TEST_SHIPPING_METHOD_FIND_CRITERIA_GROUP'] },
        {
          'group' => ENV['TEST_SHIPPING_METHOD_FIND_CRITERIA_GROUP'],
          'name' => ENV['TEST_SHIPPING_METHOD_FIND_CRITERIA_NAME']
        },
      ]
      response = lime_light.shipping_method_find({
        'campaign_id' => ENV['TEST_SHIPPING_METHOD_FIND_CAMPAIGN_ID'],
        'search_type' => ENV['TEST_SHIPPING_METHOD_FIND_SEARCH_TYPE'],
        'criteria' => criteria.sample
      })
      expect(response[:success]).to eq true
    end
  end
end